// creator  : weidu.exe (version 23600)
// argument : JORIN.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~JORIN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 9 10 even though they appear after this state */
~  Global("Kaishas1","GLOBAL",0)
!Dead("karoug")
~ THEN BEGIN 0 // from:
  SAY #21555 /* ~You must be the ones whose boat broke up on the reefs. Our headwoman, Kaishas Gan, will want to speak with you.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27052 /* ~The Mysterious Island
The villagers here all suggest that I talk to their headwoman before wandering about.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 9 10 even though they appear after this state */
~  Global("Kaishas1","GLOBAL",1)
!Dead("karoug")
~ THEN BEGIN 1 // from:
  SAY #21557 /* ~Brave heroes, eh? Fools more like it.~ */
  IF ~~ THEN REPLY #21560 /* ~Silence, cur. Think carefully before you speak to your betters in such a manner.~ */ DO ~SetGlobal("JorTalk","GLOBAL",1)
~ GOTO 2
  IF ~~ THEN REPLY #21561 /* ~Have we offended you in some way, sir?~ */ DO ~SetGlobal("JorTalk","GLOBAL",1)
~ GOTO 3
  IF ~~ THEN REPLY #21562 /* ~We claim to be neither heroes nor fools. Explain yourself.~ */ DO ~SetGlobal("JorTalk","GLOBAL",1)
~ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #21563 /* ~Now you are my betters? Go and be destroyed by the evil wolves if you wish. You outsiders bring only trouble, anyway.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #21564 /* ~My apologies. You have not offended me. I only wish to protect my people from the disease of too much hope. Everyone knows that you go to fight the evil wolves. I have fought them often and I know their strengths. I do not think that you can destroy them. Perhaps you are great warriors, as the villagers believe. As they want to believe. If so, I will respect your abilities and wish you luck. Perhaps you only wish to be heroes. If so, I respect your courage but doubt that you will survive the day.~ */
  IF ~~ THEN REPLY #21566 /* ~You are entitled to your opinion. Allow our actions to speak for us. We will not demand your respect until we prove ourselves before you all.~ */ GOTO 5
  IF ~~ THEN REPLY #21569 /* ~I'm not interested in your opinion. By all accounts, you people have never left this island since your ancestors were shipwrecked here several centuries ago. You will forgive me if your opinion holds little weight with me. Now run along, toy soldier, I think there are some weeds to battle in the garden.~ */ GOTO 6
  IF ~~ THEN REPLY #21570 /* ~You say that you have fought these beasts. Tell us what you know about them and their weaknesses.~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #21572 /* ~It is my job to protect the people of my clan from all dangers, including your promise of deliverance from the man-wolves. I have fought the beasts. You and your handful of warriors have little chance of defeating these monsters. I don't want you running around making promises that cannot be kept.~ */
  IF ~~ THEN REPLY #21573 /* ~You are entitled to your opinion. Allow our actions to speak for us. We will not demand your respect until we prove ourselves before you all.~ */ GOTO 5
  IF ~~ THEN REPLY #21574 /* ~I'm not interested in your opinion. By all accounts, you people have never left this island since your ancestors were shipwrecked here several centuries ago. You will forgive me if your opinion holds little weight with me. Now run along, toy soldier, I think there are some weeds to battle in the garden.~ */ GOTO 6
  IF ~~ THEN REPLY #21576 /* ~You say that you have fought these beasts. Tell us what you know about them and their weaknesses.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.0 3.0
  SAY #21577 /* ~May luck be with you, then. You shall need plenty of it.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27191 /* ~The Mysterious Island
The gruff Jorin didn't seem too impressed with me. I suppose that's to be expected from one of the village protectors, who must be suspicious of any outsider.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.1 3.1
  SAY #21578 /* ~Watch your step in my village or I will kill you.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27191 /* ~The Mysterious Island
The gruff Jorin didn't seem too impressed with me. I suppose that's to be expected from one of the village protectors, who must be suspicious of any outsider.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.2 3.2
  SAY #21579 /* ~The wolves can appear to be human, but don't be fooled, they are animals at heart. They will kill for pleasure as much as for food. The younger wolf beasts are much weaker than their elders. They are dark brown in color with some black fur. They are completely tactless. They will attack without thought regardless of the odds.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #21581 /* ~The older beasts are black with some silver fur. They are powerful and cunning foes. Some of them can even cast spells. They live on the ship of our ancestors. A great black brute rules them. He calls himself Karoug. The beasts can not be injured with normal weapons. Only blessed or enchanted weapons will harm them. They will always change to their true form to attack. That is all that I can help you with. I hope that you are successful.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  Dead("karoug")
~ THEN BEGIN 9 // from:
  SAY #21582 /* ~I thank you for destroying our enemies. We are in your debt.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~  Global("JorTalk","GLOBAL",1)
!Dead("karoug")
~ THEN BEGIN 10 // from:
  SAY #21592 /* ~I cannot speak with you at this time. Please leave me to my work.~ */
  IF ~~ THEN EXIT
END
